The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Get answers about using the current release of MediaMonkey for Windows.

Moderator: Gurus

kaichandler
Posts: 86
Joined: Sat Jun 30, 2007 7:43 am

The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by kaichandler »

iPhone SE (old type) IOS 15.6 appears on MM4 as a device but a MM message advises "The iPhone/iPod firmware is not compatible with this version of MediaMonkey. You'll be able to view the contents of the device but will not be able to write to it. "

I'm using MM 4.1.31.1919

I'd like to retire my old iPod and keep my music, podcasts etc. on my iPhone. Is there a workaround to allow this without having to upgrade to MM5?

Thanks

Kai
kaichandler
Posts: 86
Joined: Sat Jun 30, 2007 7:43 am

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by kaichandler »

Not 'til you suggested it! However, it reports an error:

Problem with copying file C:\Program Files (x86)\MediaMonkey\Plugins\d_iPhone.dll to C:\Program Files (x86)\MediaMonkey\Plugins\org.d_iPhone.dll.

I removed my AV tool and that made no difference. I'm running Windows 11.
Lowlander
Posts: 53310
Joined: Sat Sep 06, 2003 5:53 pm
Location: MediaMonkey 5

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by Lowlander »

Did you try installing as Administrator?
kaichandler
Posts: 86
Joined: Sat Jun 30, 2007 7:43 am

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by kaichandler »

I'm not seeing an option to install as Administrator. Normally I would rightclick and then Run as Adminstrator but when I rightclick on diphonemm4ios15.mmip there is an Install Mediamonkey package option, but no Run as Administrator option.

Is there another way to Run as Adminstrator?
Lowlander
Posts: 53310
Joined: Sat Sep 06, 2003 5:53 pm
Location: MediaMonkey 5

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by Lowlander »

Try running MediaMonkey itself as Administrator.
Peke
Posts: 15748
Joined: Tue Jun 10, 2003 7:21 pm
Location: Serbia
Contact:

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by Peke »

Hi,
Steps are like this as you already tried to install it:
1. Right click on MM4 Icon -> Run As Administrator
2. Go to tools -> Addons
3. Uninstall iPhone Plugin
4. Close MM4
5. Right click on MM4 Icon -> Run As Administrator
6. Go to tools -> Addons
7. Click on ADD -> browse where you downloaded "diphonemm4ios15.mmip"
8. On install page make sure that USER INSTALL CHECK BOX is NOT selected
7. Proceed with install
9. Close MM4

After that when you normally start MM4 it should work.
Best regards,
Peke
MediaMonkey Team lead QA/Tech Support guru
Admin of Free MediaMonkey addon Site HappyMonkeying
Image
Image
Image
How to add SCREENSHOTS to forum
kaichandler
Posts: 86
Joined: Sat Jun 30, 2007 7:43 am

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by kaichandler »

Lowlander wrote: Wed Aug 10, 2022 5:34 pm Try running MediaMonkey itself as Administrator.
Yes, that worked, thanks Lowlander and Peke!
Peke
Posts: 15748
Joined: Tue Jun 10, 2003 7:21 pm
Location: Serbia
Contact:

Re: The iPhone/iPod firmware is not compatible with this version of MediaMonkey.

Post by Peke »

Hi,
Great. My pleasure.
Best regards,
Peke
MediaMonkey Team lead QA/Tech Support guru
Admin of Free MediaMonkey addon Site HappyMonkeying
Image
Image
Image
How to add SCREENSHOTS to forum
Post Reply